SDL_GetRenderClipRect(3)

NAME
SDL_GetRenderClipRect - Get the clip rectangle for the current target.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_GetRenderClipRect(SDL_Renderer *renderer, SDL_Rect *rect);

DESCRIPTION
Each render target has its own clip rectangle. This function gets the cliprect for the current render target.

FUNCTION PARAMETERS

renderer
    the rendering context.

rect
    an SDL_Rect structure filled in with the current clipping area or an empty rectangle if clipping is disabled.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_RenderClipEnabled(3), SDL_SetRenderClipRect(3)